### Method

# St Widget has_style_pseudo_class

#### Declaration [src]

    gboolean
    st_widget_has_style_pseudo_class (
      StWidget* actor,
      const gchar* pseudo_class
    )

#### Description [src]

Tests if `actor`‘s pseudo class list includes `pseudo_class`.

#### Parameters

`pseudo_class`

  Type: `const gchar*`

  A pseudo class string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether or not `actor`‘s pseudo class list includes `pseudo_class`.